%define upstream_name HandBrake
%define download %{_builddir}/%{upstream_name}-%{version}/download

Summary:        MPEG-AVC(H.264)/MPEG-4 converter
Name:           handbrake
Version:        0.10.0
Release:        %mkrel 1
License:        GPLv2 and LGPL and LGPLv2.1 and BSD
Group:          Video/Editors and Converters
URL:            http://handbrake.fr/
Source0:        http://sourceforge.net/projects/handbrake/files/%{version}/%{upstream_name}-%{version}.tar.bz2
# Prereq : to fetch additionnal tarballs, we need to run the following
# Additionnal tarballs must be present when compiling
# Otherwise, they are automaticly downloaded
# ./configure && cd build && make contrib.fetch
Source1:libav-v10.1.tar.bz2
Source2:libbluray-0.5.0.tar.bz2
Source3:libdvdnav-5.0.1-0-gaa3659d.tar.gz
Source4:libdvdread-5.0.0-6-gcb1ae87.tar.gz
Source5:libvpx-v1.3.0.tar.bz2
Source6:x265-8768-5e604833c5aa-1.4.tar.bz2


BuildRequires:  yasm
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  intltool
BuildRequires:  libtheora-devel
BuildRequires:  libnotify-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libgstreamer-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  libgudev-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  autoconf
BuildRequires:  m4
BuildRequires:  cmake
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libxml2-devel
BuildRequires:  x264-devel
BuildRequires:  fribidi-devel
BuildRequires:  freetype
BuildRequires:  fontconfig-devel
BuildRequires:  libass-devel
BuildRequires:  lame-devel

%description
Versatile DVD ripper and video transcoder - command line
HandBrake is a versatile, easy-to-use tool for converting DVDs and other videos
into H.264, MPEG-4, or OGG formatted media. It's particularly useful for making
videos that are compatible with portable video devices such as the Apple
iPod/iPhone.

%prep
%setup -q -n %{upstream_name}-%{version}
%{__mkdir} %download
%{__cp} -t %download %{SOURCE1}
%{__cp} -t %download %{SOURCE2}
%{__cp} -t %download %{SOURCE3}
%{__cp} -t %download %{SOURCE4}
%{__cp} -t %download %{SOURCE5}
%{__cp} -t %download %{SOURCE6}


%build
# This hack was removed in the previous version of the script. It is added again on demand of Florian Hubold
# See https://bugs.mageia.org/show_bug.cgi?id=5502#c20
# On update, when someone forgets to redo the tarball of the contribs libraries, handbrake buildsystem
# will automatically download those, that is objectionable on mageia buildsystema and build should fail
# small hack, proposed by Anssi, to disable accidental automatic downloading of contrib libraries
mkdir -p disable_contrib.fetch-hack

for downloader in wget url; do
  ln -s /bin/false disable_contrib.fetch-hack/${downloader}
done
#add it to PATH so our fake downloaders get picked up from handbrake buildsystem
export PATH=$PWD/disable_contrib.fetch-hack:$PATH

# Tricky pony : the ./configure script doesn't
# know the usual params of configure2_5x
# --disable-fdk-aac option ensure that no non-free
# material is compiled with main sources
%setup_compile_flags
./configure \
        --prefix=%{_prefix} \
        --launch \
        --launch-jobs=0 \
        --verbose \
        --disable-fdk-aac \
        --debug=none

%make -C build

%install
%makeinstall_std -C build
%find_lang ghb

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --add-category="AudioVideo;Video;AudioVideoEditing;" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %buildroot/%_datadir/applications %buildroot/%_datadir/applications/*

%files -f ghb.lang
%doc AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS
%{_bindir}/ghb
%{_bindir}/HandBrakeCLI
%{_datadir}/applications/ghb.desktop
%{_iconsdir}/hicolor/scalable/apps/hb-icon.svg


%changelog
* Wed Jan 14 2015 augier <augier> 0.10.0-1.mga5
+ Revision: 810593
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 0.10-0.r6383.3.mga5.tainted
+ Revision: 750618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-0.r6383.2.mga5.tainted
+ Revision: 680077
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 augier <augier> 0.10-0.r6383.1.mga5.tainted
+ Revision: 669464
- Updated sources to revision 6383
- Removed fdk-aac tarball from sources
- Updated licenses

* Fri Aug 29 2014 augier <augier> 0.10b1-0.r6348.mga5.tainted
+ Revision: 669212
- Update to version 0.10 rc1 (revision 6348)
- Reintroduce handbrake due to dropped faac, this makes all code GPLv2+

* Sun Sep 18 2011 fwang <fwang> 0.9.5-5.mga2.tainted
+ Revision: 145023
- rebuild for new libpng

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.9.5-4.mga2.tainted
+ Revision: 138893
- add BuildRequires on desktop-file-utils
- adapt license information due to building with bundled faac
- really disable automatic contrib libraries download
- removed useless %%clean and %%defattr
- removed obsolete categories from desktop filename, added proper ones
- removed icon filename extension in desktop file
- added gcc hack to properly apply Mageia %%optflags
- fixed all -Wformat-security issues in faac frontend, mp4v2 and libhb
- make symlink names for CLI and GTK binary more consistent
- escape macros in comments to make rpmlint happy
- disable GUI update checks

* Mon Jul 04 2011 fwang <fwang> 0.9.5-3.mga2
+ Revision: 117908
- rebuild for new webkit

* Mon Jun 20 2011 obgr_seneca <obgr_seneca> 0.9.5-2.mga2
+ Revision: 110397
- fixed typo in file list

* Thu Jun 09 2011 obgr_seneca <obgr_seneca> 0.9.5-1.mga2
+ Revision: 102461
- added patches for libnotify and dbus-glib-1
- imported package handbrake


* Sun Jan 30 2011 Doktor5000 <rpm@mandrivauser.de> 0.9.5-2mud2010.2
- new version 0.9.5
- enabled MPEG2 encoding via ffmpeg
- rebuild for Mandrivalinux 2010.2

* Wed Jul 14 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.4-1mud2010.1
- rebuild for Mandrivalinux 2010.1

* Sun Dec 13 2009 Doktor5000 <rpm@mandrivauser.de> 0.9.4-1mud2010.0
- rebuild for Mandrivalinux 2010.0
- new version 0.9.4
- disable autodownload of external dependencies
- provide tarballs for dependencies
